// SMP config check
`ifdef RTAVR_SMP
  `ifdef USE_DMY_CLOCK
    `undef USE_DMY_CLOCK
  `endif
  `ifdef ROM_PSEUDO_DP
  `else
    `define ROM_PSEUDO_DP
  `endif
  `ifdef SUPPORT_LOCKING
  `else
    `define SUPPORT_LOCKING
  `endif
  `ifdef IOR_DUALPORT
  `else
    `define IOR_DUALPORT
  `endif
  `ifdef IOR_HAVE_CPI0
  `else
    `define IOR_HAVE_CPI0
  `endif
  `ifdef RAM_HAVE_PORTA
  `else
    `define RAM_HAVE_PORTA
  `endif
  `ifdef ROM_HAVE_PORTCD
  `else
    `define ROM_HAVE_PORTCD
  `endif
  `ifdef SUPPORT_EXBI	  // extended cbi/sbi (T = old bits) : default
  `else
    `define SUPPORT_EXBI	  // extended cbi/sbi (T = old bits) : default
  `endif
  `ifdef IOR_LARGE_MAPPER
  `else
    `define IOR_LARGE_MAPPER
  `endif
// MachXO2 check
`elsif RTAVR_TARGET_MachXO2
  `ifdef USE_DMY_CLOCK
    `undef USE_DMY_CLOCK
  `endif
  `ifdef ROM_PSEUDO_DP
  `else
    `define ROM_PSEUDO_DP
  `endif
  `ifdef FIFO_DUALPORT
  `else
    `define FIFO_DUALPORT
  `endif
  `ifdef GPR_INITCLR
    `undef GPR_INITCLR
  `endif
  `ifdef SRAM_INITCLR
    `undef SRAM_INITCLR
  `endif
`endif

// CLK definitions
`ifdef SYS_DRIVEN_CLK4PH
  `define posedge_CLK_0		posedge CLK_0
  `define posedge_CLK_90	posedge CLK_90
  `define posedge_CLK_180	posedge CLK_180
  `define posedge_CLK_270	posedge CLK_270
  `define posedge_CLK_0_180	posedge CLK_0_180
  `define posedge_CLK_90_270	posedge CLK_90_270
`else // SYS_DRIVEN_CLK2X
  `define posedge_CLK_0		negedge CLK2X
  `define posedge_CLK_90	posedge CLK2X
  `define posedge_CLK_180	negedge CLK2X
  `define posedge_CLK_270	posedge CLK2X
  `define posedge_CLK_0_180	negedge CLK2X
  `define posedge_CLK_90_270	posedge CLK2X
`endif
