BEGIN{
	print "#ifndef __RTAVR_DEFS_H__"
	print "#define __RTAVR_DEFS_H__"
	print ""
}
END{
	print ""
	print "#endif __RTAVR_DEFS_H__"
}
/define[ \t]*.*_vect_num/{
	name = $2;
	id = $3;
	sub(/`def/, "#def", $0);
	print $0;
	sub(/_num/, "", name);
	printf("#define %s	_VECTOR(%d)\n",name,id);
}
/define[ \t]*IOR_HAVE/{
	sub(/`def/, "#def", $0);
	print $0;
}
/define[ \t]*[A-Z0-9]+_ADDR/{
	sub(/`def/, "#def", $0);
	sub(/[A-Z0-9]+_ADDR/, "__&", $0);
	sub(/[0-9]+'h/, "0x", $0);
	print $0;
}
/define[ \t]*[A-Z0-9]+_BIT[ \t]/{
	name = $2;
	sub(/`def/, "#def", $0);
	sub(/[A-Z0-9]+_BIT/, "__&", $0);
	print $0;
	sub(/_BIT/, "", name);
	if ($3 < 24 && $3 >= 16) {
		printf("#define %s_DDR	DDRC\n",name);
		printf("#define %s_PORT	PORTC\n",name);
		printf("#define %s_PIN	PINC\n",name);
		printf("#define %s_BIT	%d\n",name, $3 - 16);
		printf("\n");
	}
	if ($3 < 16 && $3 >= 8) {
		printf("#define %s_DDR	DDRB\n",name);
		printf("#define %s_PORT	PORTB\n",name);
		printf("#define %s_PIN	PINB\n",name);
		printf("#define %s_BIT	%d\n",name, $3 - 8);
		printf("\n");
	}
	if ($3 < 8 && $3 >= 0) {
		printf("#define %s_DDR	DDRA\n",name);
		printf("#define %s_PORT	PORTA\n",name);
		printf("#define %s_PIN	PINA\n",name);
		printf("#define %s_BIT	%d\n",name, $3);
		printf("\n");
	}
}
